package cn.com.qmth.stmms.common.enums;

public enum MarkerType {

    MARKER("评卷员", 0), HEADER("评卷组长", 1);

    private String name;

    private int value;

    private MarkerType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkerType findByValue(int value) {
        for (MarkerType m : MarkerType.values()) {
            if (m.getValue() == value) {
                return m;
            }
        }
        return null;
    }
}
